studentencijfers = [[95, 92, 86],[66, 75, 54],[89, 72, 100],[34, 0, 0]]

def gemiddelde_per_student(studentencijfers):

	studenten = []

	for i in studentencijfers:
		som = sum(i)
		lengte = len(i)
		gemiddelde = round(som/lengte, 1)
		studenten.append(gemiddelde)

	ret = studenten
	return ret

def gemiddelde_van_alle_studenten(studentencijfers):

	allcijfers = []

	for i in studentencijfers:
		for k in i:
			allcijfers.append(k)

	som = sum(allcijfers)
	lenge = len(allcijfers)
	gemiddelde = round(som/lenge, 1)

	return gemiddelde


print("Gemiddelde per student: " + str(gemiddelde_per_student(studentencijfers)))

print("Gemiddelde van alle studenten: " + str(gemiddelde_van_alle_studenten(studentencijfers)))